<?php

//USING
require_once 'controls/verifylogin.php';
require_once('Connections/paivaconex.php'); 
require_once('funcoes.php'); 


//Filtros de Select

$Result1 ='WHERE  mfin_Pagamentos.Id=0';

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form2")) {
  
	if ($_POST['rec_recebimento_min'] != "") { $quando[] = "DtPagamento >= '".convertdata($_POST['rec_recebimento_min'])."'"; }
	if ($_POST['rec_recebimento_max'] != "") { $quando[] = "DtPagamento <= '".convertdata($_POST['rec_recebimento_max'])."'"; }
	if ($_POST['rec_vencimento_min'] != "") { $quando[] = "Vencimento >= '".convertdata($_POST['rec_vencimento_min'])."'"; }
	if ($_POST['rec_vencimento_max'] != "") { $quando[] = "Vencimento <= '".convertdata($_POST['rec_vencimento_max'])."'"; }
	if ($_POST['rec_emissao_min'] != "") { $quando[] = "Emissao >= '".convertdata($_POST['rec_emissao_min'])."'"; }
	if ($_POST['rec_emissao_max'] != "") { $quando[] = "Emissao <= '".convertdata($_POST['rec_emissao_max'])."'"; }
	if ($_POST['cli_nome'] != "") { $quando[] = "mfin_Fornecedores.NomeFantasia LIKE '%".$_POST['cli_nome']."%'"; }
	if ($_POST['rec_n_fatura'] != "") { $quando[] = "NumFatura LIKE '%".$_POST['rec_n_fatura']."%'"; }
	
	if ($_POST['vb_min'] != "") { $quando[] = "Valor >= '".numerobrasil($_POST['vb_min'])."'"; }
	if ($_POST['vb_max'] != "") { $quando[] = "Valor <= '".numerobrasil($_POST['vb_max'])."'"; }
  
                      

	if (isset($quando)){  
  $Result1 = "WHERE ".implode( " AND ", $quando);
	}else{
		$Result1= '';}
	
}



//Select
mysql_select_db($database_paivaconex, $paivaconex);
$query_clientes = "Select 
Valor As vl, mfin_Pagamentos.Id AS pag_id, mfin_Fornecedores.NomeFantasia AS fornec_nome, mfin_Clientes.NomeFantasia AS cli_nome, 
if(isnull(DtPagamento),'',DATE_FORMAT(DtPagamento, '%d/%m/%Y')) as dt_pag from mfin_Pagamentos
Inner Join mfin_Clientes ON Cliente = mfin_Clientes.Id
Inner Join mfin_Fornecedores ON Fornecedor = mfin_Fornecedores.Id
".$Result1;
$clientes = mysql_query($query_clientes, $paivaconex) or die(mysql_error());
$row_clientes = mysql_fetch_assoc($clientes);
$totalRows_clientes = mysql_num_rows($clientes);


?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>

<?php include_once('controls/import.php'); ?>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Pagamentos</div>


<form action="pagamentos2.php" method="post" name="form2" id="form2">
        <table align="center">
          <tr>
            <td width="91">Pagamento:</td>
            <td width="292">De:
              <label for="rec_recebimento_min"></label>
            <input type="text" name="rec_recebimento_min" id="rec_recebimento_min" /></td>
            <td width="290">Ate:
              <label for="rec_recebimento_max"></label>
            <input type="text" name="rec_recebimento_max" id="rec_recebimento_max" /></td>
          </tr>
          <tr>
            <td>Vencimento:</td>
            <td>De:
            <input type="text" name="rec_vencimento_min" id="rec_vencimento_min" /></td>
            <td>Ate:
            <input type="text" name="rec_vencimento_max" id="rec_vencimento_max" /></td>
          </tr>
          <tr>
            <td>Emiss&atilde;o:</td>
            <td>De:
            <input type="text" name="rec_emissao_min" id="rec_emissao_min" /></td>
            <td>Ate:
            <input type="text" name="rec_emissao_max" id="rec_emissao_max" /></td>
          </tr>
          <tr>
            <td>Fornencedor:</td>
            <td colspan="2"><label for="cli_nome"></label>
            <input name="cli_nome" type="text" id="cli_nome" size="80" /></td>
          </tr>
          <tr>
            <td>NF</td>
            <td colspan="2"><input name="rec_n_fatura" type="text" id="rec_n_fatura" size="80" /></td>
          </tr>
          <tr>
            <td>Valor Bruto</td>
            <td>De:
            <input type="text" name="vb_min" id="vb_min" /></td>
            <td>Ate:
            <input type="text" name="vb_max" id="vb_max" /></td>
          </tr>
        </table>
        <p>
          <input type="submit" name="pesquisa" id="pesquisa" value="Pesquisar" />
        </p>
        <p>&nbsp;</p>
        <input type="hidden" name="MM_insert" value="form2" />
      </form>



<div class="pg-botoes" style="float: right;"><a href="cadpagamentos.php"
	class="submit"> cadastrar </a></div>
<br clear="all" />
<table border="0" cellpadding="3" cellspacing="0"
	class="gridPesquisa fundoGridPesquisa" width="100%">
	<tr>
		<th>Id</th>
		<th>Fornecedor</th>
		<th>Cliente</th>
		<th>Valor</th>
		<th>Data Pagamento</th>
		<th></th>

	</tr>

	<?php

	do {

		echo "<tr>";
		echo "<td> <a href='cadpagamentos.php?id=".$row_clientes['pag_id']."'> ".$row_clientes['pag_id']." </a></td>";
		echo "<td> <a href='cadpagamentos.php?id=".$row_clientes['pag_id']."'> ".$row_clientes['fornec_nome']." </a></td>";
		echo "<td> <a href='cadpagamentos.php?id=".$row_clientes['pag_id']."'> ".$row_clientes['cli_nome']." </a></td>";
		echo "<td> <a href='cadpagamentos.php?id=".$row_clientes['pag_id']."'> ".number_format($row_clientes['vl'],2,',','.')." </a></td>";
		echo "<td> <a href='cadpagamentos.php?id=".$row_clientes['pag_id']."'> ".$row_clientes['dt_pag']." </a></td>";
		echo "<td> <a href='pagamentos.php?del=".$row_clientes['pag_id']."' onclick='return DeleteItem();'> <img src='images/ico-minus.png' /> </a> </td>";
		echo "</tr>";
	} while ($row_clientes = mysql_fetch_assoc($clientes));

	?>

</table>
</div>

</div>

</div>

	<?php include_once('controls/footer.php'); ?>

</body>
</html>
